"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _log = (type, object, ...rest) => {
    let icon = 'ℹ️';
    const obj = object ? `.${object}` : '';
    let color = 'magenta';
    switch (type) {
        case 'error':
            icon = '❌';
            color = 'red';
            break;
        case 'success':
            if (!process.env.LOG_VERBOSE)
                return;
            icon = '✅';
            color = 'green';
            break;
        case 'info':
            if (!process.env.LOG_VERBOSE)
                return;
            icon = 'ℹ️';
            color = 'blue';
            break;
    }
    console.log(icon, ` Origami${obj}:`[color], ...rest);
};
exports.success = (object, ...message) => _log('success', object, ...message);
exports.info = (object, ...message) => _log('info', object, ...message);
exports.log = (object, ...message) => _log('log', object, ...message);
exports.error = (objOrError, error) => {
    if (objOrError instanceof Error)
        _log('error', objOrError.message.red);
    else if (error instanceof Error)
        _log('error', objOrError, error.message.red);
    else if (error)
        _log('error', objOrError, error.red);
};
